---
updatedAt: 2026-02-20T00:03:41.000Z
agentTools:
  projectIndex: https://docs.skipify.com/llms.txt
---

# Create Merchant Configs - Payments

Use these endpoints to set payment related configurations

<HTMLBlock>{`
<style>
.App {
  --font-family: 'poppins', 'helvetica';
}
</style>
`}</HTMLBlock>

> 👍 This endpoint uses API Key Authentication
>
> Check out our [API Key Authentication Section](https://docs.skipify.com/docs/api-authentication-api-key) section to learn more

To Add Merchant Configurations to a Skipify Merchant Account, send an API call to:

> **Staging**: `POST https://merchants.staging.skipify.com/merchants/{merchantId}/configs`
>
> **Production**: `POST https://merchants.skipify.com/merchants/{merchantId}/configs`

# Create Settlement Type Config

Required configuration for default flow where Skipify authorizes on your behalf.

* AuthCapture -- Separate authorization and capture flow. Skipify will submit the transaction for authorization only. You are responsible for initiating the capture event.
* Sale -- Skipify will submit the transaction for immediate capture

## Request Body Parameters

| Parameter Name | Required | Type    | Description/Value   |
| :------------- | :------- | :------ | :------------------ |
| name           | yes      | string  | SETTLEMENT\_TYPE    |
| enabled        | yes      | boolean | true,               |
| value          | yes      | string  | Sale or AuthCapture |

## Response Body Parameters

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th>
        Parameter Name
      </th>

      <th>
        Type
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        enabled
      </td>

      <td>
        boolean
      </td>

      <td>
        The current status of the configuration
      </td>
    </tr>

    <tr>
      <td>
        name
      </td>

      <td>
        string
      </td>

      <td>
        The Name of the Configuration
      </td>
    </tr>

    <tr>
      <td>
        value
      </td>

      <td>
        string
      </td>

      <td>
        The Value of the Configuration Sale or AuthCapture
      </td>
    </tr>

    <tr>
      <td>
        type
      </td>

      <td>
        string, nullable
      </td>

      <td>
        The Type of configuration if applicable
      </td>
    </tr>

    <tr>
      <td>
        configId
      </td>

      <td>
        string
      </td>

      <td>
        the Id of this configuration
      </td>
    </tr>

    <tr>
      <td>
        merchantId
      </td>

      <td>
        string
      </td>

      <td>
        The Skipify Merchant Identifier
      </td>
    </tr>

    <tr>
      <td>
        createdAt
      </td>

      <td>
        string, dateTime
      </td>

      <td>
        The created date/time for this configuration  
        Ex: `2024-06-02T21:48:02Z`
      </td>
    </tr>

    <tr>
      <td>
        updatedAt
      </td>

      <td>
        string, dateTime
      </td>

      <td>
        The date/time this configuration was last updated  
        Ex: `2024-06-02T21:48:02Z`
      </td>
    </tr>
  </tbody>
</Table>

## Payload Example

```json POST /configs request
{
  "name": "SETTLEMENT_TYPE",
  "enabled": true,
  "value": "string" // Sale or AuthCapture
}
```
```json POST /configs response
{
  "enabled": true,
  "name": "SETTLEMENT_TYPE",
  "value": "Sale",
  "type": "payment",
  "configId": "36363c70-8574-436f-b2dc-5e3686f061e9",
  "merchantId": "215b9068-55d1-45c8-ba95-614edf1abd3b",
  "createdAt": "2024-06-10T19:38:28.596Z",
  "updatedAt": "2024-06-10T19:38:28.596Z"
}
```

# Create Non Accepted Card Brands Config

All major card brands are accepted by default. This configuration needs to be set only if a merchant has specific card brands they do not wish to accept

## Request Body Parameters

| Parameter Name | Required | Type    | Description/Value                                           |
| :------------- | :------- | :------ | :---------------------------------------------------------- |
| name           | yes      | string  | NON\_ACCEPTED\_CARD\_BRANDS                                 |
| enabled        | yes      | boolean | true                                                        |
| value          | no       | object  | Describes card brands that are not accepted by the merchant |

**Note**\* -

## Response Body Parameters

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th>
        Parameter Name
      </th>

      <th>
        Type
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        enabled
      </td>

      <td>
        boolean
      </td>

      <td>
        The current status of the configuration
      </td>
    </tr>

    <tr>
      <td>
        name
      </td>

      <td>
        string
      </td>

      <td>
        The Name of the Configuration
      </td>
    </tr>

    <tr>
      <td>
        value
      </td>

      <td>
        object
      </td>

      <td>
        Name of config and values "nonAcceptedCardBrands"
      </td>
    </tr>

    <tr>
      <td>
        type
      </td>

      <td>
        string
      </td>

      <td>
        The Type of configuration if applicable
      </td>
    </tr>

    <tr>
      <td>
        configId
      </td>

      <td>
        string
      </td>

      <td>
        the Id of this configuration
      </td>
    </tr>

    <tr>
      <td>
        merchantId
      </td>

      <td>
        string
      </td>

      <td>
        The Skipify Merchant Identifier
      </td>
    </tr>

    <tr>
      <td>
        createdAt
      </td>

      <td>
        string, dateTime
      </td>

      <td>
        The created date/time for this configuration  
        Ex: `2024-06-02T21:48:02Z`
      </td>
    </tr>

    <tr>
      <td>
        updatedAt
      </td>

      <td>
        string, dateTime
      </td>

      <td>
        The date/time this configuration was last updated  
        Ex: `2024-06-02T21:48:02Z`
      </td>
    </tr>
  </tbody>
</Table>

## Payload Example

```json POST /configs request
{
    "name": "NON_ACCEPTED_CARD_BRANDS",
    "enabled": true,
    "value": {
      "nonAcceptedCardBrands": ["amex"] // Optional; Defaults to empty array and can contain amex, visa, mastercard, discover
    }
}
```
```json POST /configs response
{
  "enabled": true,
  "name": "NON_ACCEPTED_CARD_BRANDS",
  "value": {
    "nonAcceptedCardBrands": [
      "amex"
    ]
  },
  "type": "payment",
  "configId": "3446575f-a73c-9547-a227-0af8e9aff5d3",
  "merchantId": "234g5068-96d1-45c8-ba95-614edf1abd3b",
  "createdAt": "2024-06-10T17:41:07.907Z",
  "updatedAt": "2024-06-10T17:41:07.907Z"
}
```

# Create AVS Decline Config

## Request Body Parameters

| Parameter Name | Required | Type    | Description/Value |
| :------------- | :------- | :------ | :---------------- |
| name           | yes      | string  | AVS\_DECLINE      |
| enabled        | yes      | boolean | true              |
| value          | yes      | boolean | true              |

## Response Body Parameters

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th>
        Parameter Name
      </th>

      <th>
        Type
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        enabled
      </td>

      <td>
        boolean
      </td>

      <td>
        The current status of the configuration
      </td>
    </tr>

    <tr>
      <td>
        name
      </td>

      <td>
        string
      </td>

      <td>
        The Name of the Configuration
      </td>
    </tr>

    <tr>
      <td>
        value
      </td>

      <td>
        boolean
      </td>

      <td>
        The Value of the Configuration
      </td>
    </tr>

    <tr>
      <td>
        type
      </td>

      <td>
        string, nullable
      </td>

      <td>
        The Type of configuration if applicable
      </td>
    </tr>

    <tr>
      <td>
        configId
      </td>

      <td>
        string
      </td>

      <td>
        the Id of this configuration
      </td>
    </tr>

    <tr>
      <td>
        merchantId
      </td>

      <td>
        string
      </td>

      <td>
        The Skipify Merchant Identifier
      </td>
    </tr>

    <tr>
      <td>
        createdAt
      </td>

      <td>
        string, dateTime
      </td>

      <td>
        The created date/time for this configuration  
        Ex: `2024-06-02T21:48:02Z`
      </td>
    </tr>

    <tr>
      <td>
        updatedAt
      </td>

      <td>
        string, dateTime
      </td>

      <td>
        The date/time this configuration was last updated  
        Ex: `2024-06-02T21:48:02Z`
      </td>
    </tr>
  </tbody>
</Table>

## Payload Example

```Text POST /configs request
{
  "name": "AVS_DECLINE",
  "enabled": true,
  "value": true
}
```
```json POST /configs response
{
  "enabled": true,
  "name": "AVS_DECLINE",
  "value": true,
  "type": "payment",
  "configId": "bfc53764-51kg-4790-a375-651c28cd5dc1",
  "merchantId": "435b9068-96d1-45c8-ba95-614edf1abd3b",
  "createdAt": "2024-06-10T17:55:34.069Z",
  "updatedAt": "2024-06-10T17:55:34.069Z"
}
```